Community Forums

[1.5.0 - 1.5.2.1] "Please Wait" Fix for Paypal, Authorize...

Contains Patches for extensions in the corresponding version.
Patches should be included in subsequent versions so you only need to patch if you are running that specified version.

[1.5.0 - 1.5.2.1] "Please Wait" Fix for Paypal, Authorize...

Postby Qphoria » Wed Nov 23, 2011 4:59 pm

DO NOT USE THIS IF RUNNING v1.5.3 OR LATER!!!!
DO NOT USE THIS IF RUNNING v1.5.3 OR LATER!!!!
DO NOT USE THIS IF RUNNING v1.5.3 OR LATER!!!!
DO NOT USE THIS IF RUNNING v1.5.3 OR LATER!!!!
THERE IS ALREADY AND UPDATED FILE IN LATER VERSIONS!!!!

New development in the "Please Wait" issue some people are having with some payment extensions in 1.5.x
I've added the ajax error functions to the tpl file and now they should properly complete, hopefully with error.

This fix applies to any payment extension in the core that uses an "on-site" payment collection. In the zip I've included the fixes for all the core modules that use this method:

Authorize.net (AIM)
Perpetual Payments
Paypal Pro
Paypal Pro UK
Sagepay Direct
Sagepay US
Web Payment Software


Download them here and upload them all to:
catalog/view/theme/default/template/payment
Overwrite the existing.

Now when you checkout, instead of it just sitting on Please Wait forever. It should show the reason why it could not complete as an error. Allowing you to understand and address it.

ONLY USE THESE IF RUNNING VERSION 1.5.0 THROUGH 1.5.2.1
THERE MAY BE NEWER FIXES IN LATER VERSIONS
THESE ARE NOT COMPATIBLE WITH 1.4.x
Attachments
PleaseWaitTPLfix-OCv15x-only.zip
(6.31 KiB) Downloaded 456 times
ImageImage
Donate!|OpenCart Basics|GeoZones
Help me get more development cloud storage - Click Here to get DropBox
User avatar
Qphoria
Administrator
 
Posts: 19160
Joined: Mon Jul 21, 2008 2:02 pm
Donate to Qphoria

Return to Hot Patches

Who is online

Users browsing this forum: No registered users and 1 guest

Hosted by Arvixe Web Hosting